org.eclipse.emf.cdo.common.revision

## Interface CDORevisionHandler

- All Known Subinterfaces:
    CDOServerImporter.Handler, CDOServerImporter.Handler2
  All Known Implementing Classes:
    CDORevisionHandler.Filtered, CDORevisionHandler.Filtered.Undetached, StoreAccessorBase.CommitDataRevisionHandler

      public interface CDORevisionHandler

  A call-back interface that indicates the ability to handle `revisions` that are passed from other entities.
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `CDORevisionHandler.Filtered` A delegating `revision handler` with a `filter()` method used to suppress specific revisions.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `handleRevision(CDORevision revision)` Handles a revision.

- - ### Method Detail

    - #### handleRevision

          boolean handleRevision(CDORevision revision)

      Handles a revision.
      Returns:
        `true` to indicate that the caller may pass more revisions, `false` otherwise.
      Since:
        4.0

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html